> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/workbench/engines/parameters/cromwell.md).

# Cromwell

[Workbench](https://github.com/DNAstack/dnastack-product-docs/blob/main/docs/workbench/engines/parameters/broken-reference/README.md) supports submitting workflows to [Cromwell](https://github.com/broadinstitute/cromwell) deployed in many different environments. While there are some configuration options that are different depending on the environment, there are some common parameters that are supported across all environments.

## Available Parameters

### `workflow_failure_mode`=`STRING`

Determines what happens when a call fails. Valid options are "NoNewCalls" and "ContinueWhilePossible". "NoNewCalls" will stop execution of all remaining calls in the workflow, while "ContinueWhilePossible" will continue executing other calls in the workflow as long as their dependencies are satisfied.

### `write_to_cache`=`BOOLEAN`

Specifies whether to write the outputs of successful calls to the call cache. Default is true.

### `read_from_cache`=`BOOLEAN`

Specifies whether to read the outputs of previously successful calls from the call cache. Default is true.

### `delete_intermediate_output_files`=`BOOLEAN`

Specifies whether to delete intermediate output files. Default is false.

### `final_workflow_outputs_dir`=`STRING`

Specifies a directory to which final output files should be copied. This can be a local path or a URI.

### `final_call_logs_dir`=`STRING`

Specifies a directory to which call logs should be copied. This can be a local path or a URI.

### `final_workflow_log_dir`=`STRING`

Specifies a directory to which the final workflow log should be copied. This can be a local path or a URI.

### `final_workflow_metadata_dir`=`STRING`

Specifies a directory to which the final workflow metadata should be copied. This can be a local path or a URI.

### `use_relative_output_paths`=`BOOLEAN`

Specifies whether to use relative output paths in workflow outputs. Default is false.

### `call_caching`=`OBJECT`

A JSON object containing the call caching configuration. Example:

```json
{
  "call_caching": {
    "enable": true,
    "read_from_cache": true,
    "write_to_cache": true
  }
}
```

### `default_runtime_attributes`=`OBJECT`

A JSON object containing the default runtime attributes. Example:

```json
{
  "default_runtime_attributes": {
    "maxRetries": 1
  }
}
```

### `default_backend`=`STRING`

Specifies the default backend to use for workflow execution. Default is "Local".

### `allow_result_reuse`=`BOOLEAN`

Specifies whether to allow reuse of previously calculated results. Default is true.

### `disallow_result_reuse`=`BOOLEAN`

Specifies whether to disallow reuse of previously calculated results. Default is false.

### `imported_file_metadata`=`STRING`

Specifies the metadata file for imported files. This can be a local path or a URI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/workbench/engines/parameters/cromwell.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
